%define upstream_name    Hash-AsObject
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Treat hashes as objects with accessors
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Hash/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
A Hash::AsObject is a blessed hash that provides read-write access to its
elements using accessors. (Actually, they're both accessors and mutators.)

It's designed to act as much like a plain hash as possible; this means, for
example, that you can use methods like 'DESTROY' to get or set hash
elements with that name. See below for more information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.130.0-11.mga10
+ Revision: 2199360
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.130.0-10.mga9
+ Revision: 1803916
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.130.0-9.mga8
+ Revision: 1494801
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.130.0-8.mga7
+ Revision: 1268434
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.130.0-7.mga6
+ Revision: 1028182
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.130.0-6.mga6
+ Revision: 935208
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.130.0-5.mga5
+ Revision: 741670
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.130.0-4.mga5
+ Revision: 685020
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.130.0-3.mga4
+ Revision: 512190
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.130.0-2.mga3
+ Revision: 368337
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 19 2011 kharec <kharec> 0.130.0-1.mga2
+ Revision: 169490
- imported package perl-Hash-AsObject


* Sat Nov 19 2011 cpan2dist 0.13-1mga
- initial mageia release, generated with cpan2dist
